/*
 * defs.h: Common definitions for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_DEFS_H
#define _ATMO_DEFS_H

// --- tRGBColor --------------------------------------------------------------
typedef struct
{
  double r, g, b;
} tRGBColor;

// --- tColorPacket -----------------------------------------------------------
typedef struct
{
  tRGBColor channel[5];
} tColorPacket;

// --- tRGBColor --------------------------------------------------------------
typedef struct
{
  unsigned char r, g, b;
} tRGBColorInt;

// --- tColorPacketInt --------------------------------------------------------
typedef struct
{
  tRGBColorInt channel[5];
} tColorPacketInt;

// --- tWeightPacket ----------------------------------------------------------
typedef struct
{
  double channel[5];
} tWeightPacket;

// --- tHSVColor --------------------------------------------------------------
typedef struct
{
  //unsigned char h, s, v;
  double h, s, v;
} tHSVColor;

#endif //_ATMO_DEFS_H
