/*
 * input.h: Abstract input class for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_INPUT_H
#define _ATMO_INTPUT_H

#include <vdr/thread.h>

// --- cAtmoInput -------------------------------------------------------------

class cAtmoInput : public cThread {
private:
protected:
  tColorPacketInt ColorPacketInt;
  virtual void Action(void) = 0;
public:
  virtual ~cAtmoInput() {};
  virtual bool Open(const char* param) = 0;
  virtual bool Close(void) = 0;
  virtual tColorPacketInt GetColorPacket(void) { return ColorPacketInt; };
};

#endif //_ATMO_INPUT_H
