/*
 * output.h: Abstract output class for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_OUTPUT_H
#define _ATMO_OUTPUT_H

// --- cAtmoOutput ------------------------------------------------------------

class cAtmoOutput {
public:
  virtual ~cAtmoOutput() {};
  virtual bool Open(const char* dev_name) = 0;
  virtual bool Close(void) = 0;
  virtual bool OutputColors(const tColorPacketInt col) = 0;
};

#endif //_ATMO_OUTPUT_H
